*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    background-image: url(images/bg.png);
    background-attachment: fixed;
}

/*-----------------------------------------------------------------*/
/*IDs*/
#main{
    margin: 5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}
#rightcontent{
    border: .5rem solid black;
    border-radius: 1rem;
    background-color: #ddd;
    display: flex; 
    flex-direction: column; 
}
#titletop{
    margin-top: 5%;
    margin-left: 5%;
    margin-right: 5%;
}
/*-----------------------------------------------------------------*/
/*Classes*/
.leftcontent{
    border: .5rem solid black;
    border-radius: 1rem;
    background-color: #ddd;    
}
.container p, h2{
    padding: .5rem;
}
.container {
    border: .5rem solid black;
    border-radius: .5rem;
    margin: 5%;
    overflow: scroll;
    overflow-x: hidden;
    height: 20rem;
    padding: 1rem;
}
.roundimage{
    border-radius: 1rem;
}
/*-----------------------------------------------------------------*/

/*Standard*/
nav{
    border: .5rem solid black;
    border-radius: 1rem;
}
nav ul{
    display: flex;
    justify-content: space-around;
    list-style-type: none;
}
footer{
    margin: 5%;
    border: .5rem solid black;
    border-radius: 1rem;
    background-color: #ddd;  
}


/*-----------------------------------------------------------------*/
/*Media Queries*/
@media (min-width: 600px){
    .container {
        display: flex;
        flex-direction: column;
    }

    #main{
        flex-direction: row;
        margin: 5% 20%;
    }
    #titletop{
        flex-direction: row;
        margin: 5% 20%;
    }
    footer{
        flex-direction: row;
        margin: 5% 20%;
    }
    nav ul{
        flex-direction: column;
        padding: 1rem;
        font-size: 2rem;
    }
}
